Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mondrianinput
Class MondrianHelper

    java.lang.Object
      org.pentaho.di.trans.steps.mondrianinput.MondrianHelper

    public class MondrianHelper

extends Object

`Mondrian Helper class` ...

Since:
  Mar 12, 2007
Author:
  jhyde

Constructor Summary
`MondrianHelper(org.pentaho.di.core.database.DatabaseMeta databaseMeta, String catalog, String queryString, org.pentaho.di.core.variables.VariableSpace space)`

Method Summary
`void` | `close()`
`void` | `createFlattenedOutput()` Retrieve the rows from the opened query.
`void` | `createRectangularOutput()` Outputs one row per tuple on the rows axis.
`org.pentaho.di.core.row.RowMetaInterface` | `getCachedRowMeta()`
`String` | `getCatalog()`
`org.pentaho.di.core.database.DatabaseMeta` | `getDatabaseMeta()`
`List<String>` | `getHeadings()`
`org.pentaho.di.core.row.RowMetaInterface` | `getOutputRowMeta()`
`mondrian.olap.Query` | `getQuery()`
`String` | `getQueryString()`
`mondrian.olap.Result` | `getResult()`
`List<List<Object>>` | `getRows()`
`void` | `openQuery()`
`void` | `setCatalog(String catalog)`
`void` | `setDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta databaseMeta)`
`void` | `setQueryString(String queryString)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MondrianHelper

    public MondrianHelper(org.pentaho.di.core.database.DatabaseMeta databaseMeta,
                          String catalog,
                          String queryString,
                          org.pentaho.di.core.variables.VariableSpace space)

Method Detail

### openQuery

    public void openQuery()
                   throws org.pentaho.di.core.exception.KettleDatabaseException

  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException`

### close

    public void close()

### createRectangularOutput

    public void createRectangularOutput()
                                 throws org.pentaho.di.core.exception.KettleDatabaseException

  Outputs one row per tuple on the rows axis.

  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException` - in case some or other error occurs

### createFlattenedOutput

    public void createFlattenedOutput()
                               throws org.pentaho.di.core.exception.KettleDatabaseException

  Retrieve the rows from the opened query. Also create a description of the flattened output of the query. This call populated rowMetaInterface and rows The query needs to be opened beforehand.

  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException` - in case something goes wrong TODO: this is not quite working for our purposes.

### getCachedRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getCachedRowMeta()

### getDatabaseMeta

    public org.pentaho.di.core.database.DatabaseMeta getDatabaseMeta()

  Returns:
    the databaseMeta

### setDatabaseMeta

    public void setDatabaseMeta(org.pentaho.di.core.database.DatabaseMeta databaseMeta)

  Parameters:
    `databaseMeta` - the databaseMeta to set

### getCatalog

    public String getCatalog()

  Returns:
    the catalog

### setCatalog

    public void setCatalog(String catalog)

  Parameters:
    `catalog` - the catalog to set

### getQueryString

    public String getQueryString()

  Returns:
    the queryString

### setQueryString

    public void setQueryString(String queryString)

  Parameters:
    `queryString` - the queryString to set

### getOutputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface getOutputRowMeta()

  Returns:
    the outputRowMeta

### getResult

    public mondrian.olap.Result getResult()

  Returns:
    the result

### getQuery

    public mondrian.olap.Query getQuery()

  Returns:
    the query

### getRows

    public List<List<Object>> getRows()

  Returns:
    the rows

### getHeadings

    public List<String> getHeadings()

  Returns:
    the headings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD